<?php
/**
 *   微信公众号自定义菜单
 * @file:WechatMenuController.php
 * @Date: 2023/7/5
 * @Time: 15:01
 */


namespace Modules\WechatPlatform\Http\Controllers;

use Catch\Base\CatchController;
use Illuminate\Http\Request;
use Modules\User\Http\Controllers\UserTrait;


class WechatMenuController extends CatchController
{
    use UserTrait;
    /**
     *  关键词列表
     * name: List
     * @param Request $request
     * date 2023/07/05 15:10
     */
    public function List(Request $request)
    {
        $param = $request->all();
        $userContext = $this->getUserContext(null);
        $param['user_id'] = $userContext['loginUser']->id;
        $param['puser_id'] = $userContext['loginUser']->pid;
    }


    public function add(){

    }
}
